CVE-2020-19609

Name
CVE-2020-19609
Description
Artifex MuPDF before 1.18.0 has a heap based buffer over-write in tiff_expand_colormap() function when parsing TIFF files allowing attackers to cause a denial of service.
NVD Severity
medium
Other trackers
Mailing lists
Exploits
Forges
GitHub (code, issues), Aports (code, issues)

References

Type URI
MISC http://git.ghostscript.com/?p=mupdf.git;h=b7892cdc7fae62aa57d63ae62144e1f11b5f9275
MISC https://bugs.ghostscript.com/show_bug.cgi?id=703076
MISC https://bugs.ghostscript.com/show_bug.cgi?id=701176

Match rules

CPE URI Source package Min version Max version
cpe:2.3:a:artifex:mupdf:*:*:*:*:*:*:*:* mupdf >= None < 1.18.0

Vulnerable and fixed packages

Source package Branch Version Maintainer Status
mupdf 3.11-main 1.16.1-r1 Daniel Sabogal <dsabogalcc@gmail.com> possibly vulnerable